## gimpbrushes gimpbrushes |

## Functions

gboolean | gimp_brushes_refresh ()
gchar ** | gimp_brushes_get_list ()
gchar * | gimp_brushes_get_brush ()
gboolean | gimp_brushes_set_brush ()
gdouble | gimp_brushes_get_opacity ()
gboolean | gimp_brushes_set_opacity ()
GimpLayerModeEffects | gimp_brushes_get_paint_mode ()
gboolean | gimp_brushes_set_paint_mode ()
gint | gimp_brushes_get_spacing ()
gboolean | gimp_brushes_set_spacing ()
gchar * | gimp_brushes_get_brush_data ()

## Description

## Functions

### gimp_brushes_refresh ()

    gboolean
    gimp_brushes_refresh (void);

### gimp_brushes_get_list ()

    gchar **
    gimp_brushes_get_list (const gchar *filter,
                           gint *num_brushes);

### gimp_brushes_get_brush ()

    gchar *
    gimp_brushes_get_brush (gint *width,
                            gint *height,
                            gint *spacing);

`gimp_brushes_get_brush` is deprecated and should not be used in newly-written code.

Use `gimp_context_get_brush()` instead.

### gimp_brushes_set_brush ()

    gboolean
    gimp_brushes_set_brush (const gchar *name);

`gimp_brushes_set_brush` is deprecated and should not be used in newly-written code.

### gimp_brushes_get_opacity ()

    gdouble
    gimp_brushes_get_opacity (void);

`gimp_brushes_get_opacity` is deprecated and should not be used in newly-written code.

### gimp_brushes_set_opacity ()

    gboolean
    gimp_brushes_set_opacity (gdouble opacity);

`gimp_brushes_set_opacity` is deprecated and should not be used in newly-written code.

### gimp_brushes_get_paint_mode ()

    GimpLayerModeEffects
    gimp_brushes_get_paint_mode (void);

`gimp_brushes_get_paint_mode` is deprecated and should not be used in newly-written code.

### gimp_brushes_set_paint_mode ()

    gboolean
    gimp_brushes_set_paint_mode (GimpLayerModeEffects paint_mode);

`gimp_brushes_set_paint_mode` is deprecated and should not be used in newly-written code.

### gimp_brushes_get_spacing ()

    gint
    gimp_brushes_get_spacing (void);

`gimp_brushes_get_spacing` is deprecated and should not be used in newly-written code.

Use `gimp_brush_get_spacing()` instead.

### gimp_brushes_set_spacing ()

    gboolean
    gimp_brushes_set_spacing (gint spacing);

`gimp_brushes_set_spacing` is deprecated and should not be used in newly-written code.

Use `gimp_brush_set_spacing()` instead.

### gimp_brushes_get_brush_data ()

    gchar *
    gimp_brushes_get_brush_data (const gchar *name,
                                 gdouble *opacity,
                                 gint *spacing,
                                 GimpLayerModeEffects *paint_mode,
                                 gint *width,
                                 gint *height,
                                 gint *length,
                                 guint8 **mask_data);

`gimp_brushes_get_brush_data` is deprecated and should not be used in newly-written code.

Use `gimp_brush_get_pixels()` instead.

## Types and Values